Summary: A library of gtk+ widgets
Name:    gtkextra3 
Version: 3.3.4
Release: 1%{?dist}
License: LGPL
URL:     http://gtkextra.sourceforge.net
Source0: http://gtkextra.sourceforge.net/src/gtkextra-%version.tar.gz

BuildRequires: gcc
BuildRequires: make
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: pango-devel
BuildRequires: atk-devel

%description
A library of dynamically linked gtk+ widgets including:
GtkSheet, GtkPlot, and GtkIconList

%package devel
Summary:  A library of gtk+ widgets
Requires: %name%{?_isa} = %{version}
Requires: pango-devel
Requires: atk-devel

%description devel
The gtk+extra-devel package includes the static libraries, header files,
and documentation for compiling programs that use gtk+extra widgets.

%prep
%setup -q -n gtkextra-%{version}

%build
%configure \
 --disable-tests \
 --disable-static \
 --with-pic
%{make_build}

%install
%{make_install}

%files
%doc INSTALL README docs/*.ChangeLog
%{_libdir}/libgtkextra*.so.*

%files devel
%{_libdir}/*so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/gtkextra-3/*

%changelog
* Sat Mar 22 2025 Leigh Scott <leigh123linux@gmail.com> - 3.3.4-1
- rebuilt

